Skip to main content
POST
/
v3.0
/
{ClientId}
/
payins
/
intents
/
{IntentId}
/
cancel
{ 
    "ExternalData": {
        "ExternalProcessingDate": 1769794421,
        "ExternalProviderReference": "cancel-stripe-01f82162-1fe2-4921-a322-1de2680ec995",
        "ExternalMerchantReference": "cancel-order-e76ec48d-9285-42fc-bd83-3e43d91352a0",
        "ExternalProviderName": "Stripe",
        "ExternalProviderPaymentMethod": "MASTERCARD"
    }
}
{
    "Id": "int_019c0ff6-7334-7217-9a1d-3f029defb965",
    "Amount": 20000,
    "AvailableAmountToSplit": 0,
    "UnfundedAmount": 0,
    "Currency": "EUR",
    "PlatformFeesAmount": 0,
    "Status": "CANCELLED",
    "ExternalData": {
        "ExternalProcessingDate": 1769794335,
        "ExternalProviderReference": "auth-stripe-07d87474-61ab-4054-8f9c-99d9b6478b00",
        "ExternalMerchantReference": "order-27cd989a-220f-486a-8714-b3120913dac4",
        "ExternalProviderName": "Stripe",
        "ExternalProviderPaymentMethod": "MASTERCARD"
    },
    "Buyer": {
        "Id": "user_m_01KF3087EDXEAK8VPD9DTMZW8N"
    },
    "LineItems": [
        {
            "Id": "int_li_019c0ff6-7339-73b9-aa3f-4b657d8629c0",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 0,
            "RefundedAmount": 0,
            "DisputedAmount": 0,
            "SplitAmount": 0,
            "CancelledAmount": 10000,
            "UnfundedSellerAmount": 0
        },
        {
            "Id": "int_li_019c0ff6-7339-73b9-aa3f-4b657d8629c1",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 0,
            "RefundedAmount": 0,
            "DisputedAmount": 0,
            "SplitAmount": 0,
            "CancelledAmount": 10000,
            "UnfundedSellerAmount": 0
        }
    ],
    "CreationDate": 1769794335,
    "ExecutionDate": 1769794339,
    "Cancel": {
        "Id": "int_cancel_019c0ff6-8493-7efd-a303-40ec83b1b7a8"
    }
}
You can use this endpoint to cancel all or part of an Intent before it has been captured. You can only call this endpoint if the Intent has the Status of AUTHORIZED. You cannot cancel an Intent if it has been captured in part (PARTIALLY_CAPTURED) or full (CAPTURED).

Path parameters

IntentId
string
required
The unique identifier of the Intent.
If you send an empty body or only the ExternalData, then the full Amount of the intent is canceled (all line items). The ExternalData is optional and can be provided if the cancellation follows an event from the third-party PSP.In a full cancellation, the Status becomes CANCELLED, indicating that no further actions are possible on the Intent.

Body parameters

ExternalData
object
Information about the cancellation processed by the third-party PSP.

Responses

Id
string
The unique identifier of the intent.
Amount
integer
The full amount authorized in the Intent, which must equal the sum of the total amounts of all LineItems.
AvailableAmountToSplit
integer
The remaining amount of the Intent that can be split and transferred to the sellers’ wallets.
UnfundedAmount
integer
The amount needing to be settled to the Platform’s escrow wallet before the Intent Splits can be executed.
Currency
integer
The currency of the intent.
PlatformFees
integer
The amount of fees to be diverted to the platform’s Fees Wallet when the Intent is split. This value can be overridden when the Split is created.The PlatformFees value must the sum of all line item Seller.FeesAmount values.
Status
string
The status of the Intent, as declared by the platform through Intent Captures, Refunds (and reversals), or Disputes (and decisions). Where partial actions occur, the top-level Intent Status may differ from the Status of Intent LineItems.Intent Status values:
  • AUTHORIZED – The Intent Amount was authorized for acquisition by the PSP and can be captured or canceled.
  • PARTIALLY_CAPTURED – Part of the Intent Amount from one or more LineItems was captured. The other parts are either still available for capture or cancel.
  • CAPTURED – All of the Intent Amount was captured. Part of it may have been subsequently refunded or disputed.
  • CANCELLED – All of the Intent Amount was canceled.
  • REFUNDED – All of the CapturedAmount of all LineItems was refunded.
  • REFUND_REVERSED – The refund could not be completed and the funds were returned to the platform.
  • DISPUTED – All of the CapturedAmount of all LineItems was disputed.
  • DEFENDED – The dispute is being defended by the platform.
  • DISPUTED_WON – The dispute was resolved in favor of the platform.
  • DISPUTED_LOST – The dispute was resolved against the platform.
ExternalData
object
Information about the cancellation processed by the third-party PSP.
Buyer
object
Information about the buyer.
LineItems
array (object)
Information about the items purchased in the transaction.The sum of all line item amounts must equal the Intent Amount value. The total for each line items is calculated as ((UnitAmount x Quantity) - DiscountAmount), which is shown in the TotalLineItemAmount returned. The TaxAmount is indicative and included in the UnitAmount.The sum of all line item Seller.FeesAmount values must equal the Intent PlatformFees value.
CreationDate
string
The date and time at which the Intent was created.
ExecutionDate
Unix timestamp
The date and time at which the Intent moved to AUTHORIZED.
Dispute
object
Information about the Dispute.
{
    "Message": "Action on the Intent resource is not permitted",
    "Id": "1a9c4474-6da1-473f-9659-99edb7a00884",
    "Date": 1756458918,
    "Type": "invalid_action",
    "Errors": {
        "Status": "Intent cannot be cancelled because it is not in AUTHORIZED status."
    }
}
{
    "Id": "int_019c0ff6-7334-7217-9a1d-3f029defb965",
    "Amount": 20000,
    "AvailableAmountToSplit": 0,
    "UnfundedAmount": 0,
    "Currency": "EUR",
    "PlatformFeesAmount": 0,
    "Status": "CANCELLED",
    "ExternalData": {
        "ExternalProcessingDate": 1769794335,
        "ExternalProviderReference": "auth-stripe-07d87474-61ab-4054-8f9c-99d9b6478b00",
        "ExternalMerchantReference": "order-27cd989a-220f-486a-8714-b3120913dac4",
        "ExternalProviderName": "Stripe",
        "ExternalProviderPaymentMethod": "MASTERCARD"
    },
    "Buyer": {
        "Id": "user_m_01KF3087EDXEAK8VPD9DTMZW8N"
    },
    "LineItems": [
        {
            "Id": "int_li_019c0ff6-7339-73b9-aa3f-4b657d8629c0",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 0,
            "RefundedAmount": 0,
            "DisputedAmount": 0,
            "SplitAmount": 0,
            "CancelledAmount": 10000,
            "UnfundedSellerAmount": 0
        },
        {
            "Id": "int_li_019c0ff6-7339-73b9-aa3f-4b657d8629c1",
            "TotalLineItemAmount": 10000,
            "CapturedAmount": 0,
            "RefundedAmount": 0,
            "DisputedAmount": 0,
            "SplitAmount": 0,
            "CancelledAmount": 10000,
            "UnfundedSellerAmount": 0
        }
    ],
    "CreationDate": 1769794335,
    "ExecutionDate": 1769794339,
    "Cancel": {
        "Id": "int_cancel_019c0ff6-8493-7efd-a303-40ec83b1b7a8"
    }
}
{ 
    "ExternalData": {
        "ExternalProcessingDate": 1769794421,
        "ExternalProviderReference": "cancel-stripe-01f82162-1fe2-4921-a322-1de2680ec995",
        "ExternalMerchantReference": "cancel-order-e76ec48d-9285-42fc-bd83-3e43d91352a0",
        "ExternalProviderName": "Stripe",
        "ExternalProviderPaymentMethod": "MASTERCARD"
    }
}